## org.apache.mahout.classifier.df.tools
Class UDistrib

    java.lang.Object
      org.apache.mahout.classifier.df.tools.UDistrib

    public final class UDistrib

extends Object

This tool is used to uniformly distribute the class of all the tuples of the dataset over a given number of partitions.
This class can be used when the criterion variable is the categorical attribute.

Method Summary
`static void` `main(String[] args)` Launch the uniform distribution tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Launch the uniform distribution tool. Requires the following command line arguments:
  data : data path dataset : dataset path numpartitions : num partitions output : output path

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.